package cn.com.qmth.markingaudit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.annotation.Aac;

import cn.com.qmth.markingaudit.service.MonitorService;
import cn.com.qmth.markingaudit.support.AccessInfo;
import cn.com.qmth.markingaudit.support.CustConstants;
import cn.com.qmth.markingaudit.utils.ServletUtil;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping(CustConstants.URI_PREFIX + "/applet")
@Aac(strict = false, auth = true)
public class MonitorController {

    @Autowired
    private MonitorService monitorService;

    @ApiOperation(value = "考试数据")
    @PostMapping("examDataSync")
    public String examData() throws Exception {
        AccessInfo ai = ServletUtil.getAccessInfo();
        return monitorService.examData(ai.getSchoolCode());
    }

}
